#
# Please do not update/rebuild/touch this package before asking first
# to mikala and/or neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

Name:		pulseaudio-qt
Version:	1.3
Release:	%mkrel 3
Summary:	Qt5 bindings for PulseAudio
License:	LGPLv2+
Group:		Development/KDE and Qt
Url:		https://community.kde.org/Frameworks
Source0:	https://download.kde.org/stable/pulseaudio-qt/%{name}-%{version}.tar.xz

BuildRequires:	doxygen
BuildRequires:	qttools5-assistant

BuildRequires:	kf5-macros
BuildRequires:	cmake(KF5CoreAddons)
BuildRequires:	cmake(KF5DocTools)
BuildRequires:	cmake(KF5I18n)
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5DBus)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Qml)
BuildRequires:	pkgconfig(Qt5Quick)
BuildRequires:	pkgconfig(Qt5Test)
BuildRequires:	pkgconfig(Qt5Widgets)

BuildRequires:	pkgconfig(libpulse)
BuildRequires:	pkgconfig(glib-2.0)

%description
PulseAudio-qt is a Qt framework C++ bindings library for the PulseAudio
sound system.

#--------------------------------------------------------------------

%define pulseaudioqt_major 3
%define libpulseaudioqt    %mklibname kf5pulseaudioqt_ %{pulseaudioqt_major}

%package -n	%{libpulseaudioqt}
Summary:	Runtime library for %{name}
Group:		System/Libraries

%description -n	%{libpulseaudioqt}
Runtime library for %{name}.

PulseAudio-qt is a Qt framework C++ bindings library for the PulseAudio
sound system.

%files -n %{libpulseaudioqt}
%doc README.md
%{_kf5_libdir}/libKF5PulseAudioQt.so.%{pulseaudioqt_major}
%{_kf5_libdir}/libKF5PulseAudioQt.so.%{version}.0

#--------------------------------------------------------------------

%define libpulseaudioqt_dev %mklibname kf5pulseaudioqt -d

%package -n	%{libpulseaudioqt_dev}
Summary:	Development files for %{name}
Group:		Development/KDE and Qt
Requires:	%{libpulseaudioqt} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n	%{libpulseaudioqt_dev}
This package contains header files needed if you wish to build
applications based on %{name}.

%files -n %{libpulseaudioqt_dev}
%{_kf5_includedir}/KF5PulseAudioQt/
%{_kf5_includedir}/pulseaudioqt_version.h
%{_kf5_libdir}/libKF5PulseAudioQt.so
%{_kf5_libdir}/cmake/KF5PulseAudioQt/
%{_qt5_docdir}/KF5PulseAudioQt.qch
%{_qt5_docdir}/KF5PulseAudioQt.tags

#--------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_qt5 -DBUILD_QCH=ON
%cmake_build

%install
%cmake_install


%changelog
* Sun Feb 12 2023 ghibo <ghibo> 1.3-3.mga9
+ Revision: 1940825
- Rebuild for aging

* Tue Apr 05 2022 umeabot <umeabot> 1.3-2.mga9
+ Revision: 1845130
- Mageia 9 Mass Rebuild

* Sun Aug 08 2021 luigiwalser <luigiwalser> 1.3-1.mga9
+ Revision: 1740359
- 1.3
- library major is now 3

* Thu Dec 17 2020 umeabot <umeabot> 1.2-3.mga8
+ Revision: 1659439
- Rebuild for new Qt5

* Tue Feb 18 2020 umeabot <umeabot> 1.2-2.mga8
+ Revision: 1539644
- Mageia 8 Mass Rebuild
+ wally <wally>
- build with new cmake macros

* Tue Dec 10 2019 daviddavid <daviddavid> 1.2-1.mga8
+ Revision: 1465737
- new version: 1.2

* Mon Aug 19 2019 daviddavid <daviddavid> 1.1.0-2.mga8
+ Revision: 1430325
- fix QCH docdir location

* Sat May 18 2019 daviddavid <daviddavid> 1.1.0-1.mga7
+ Revision: 1398261
- new version: 1.1.0
- now libmajor is 2

* Mon Apr 01 2019 umeabot <umeabot> 1.0.1-2.mga7
+ Revision: 1384089
- Qt5 Rebuild

* Mon Mar 25 2019 daviddavid <daviddavid> 1.0.1-1.mga7
+ Revision: 1380180
- new version: 1.0.1

* Sun Mar 10 2019 daviddavid <daviddavid> 1.0.0-1.mga7
+ Revision: 1373488
- initial package pulseaudio-qt

